SessionExpirationCacheListener (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.modules.session.catalina.callback

## Class SessionExpirationCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<java.lang.String,javax.servlet.http.HttpSession>
  - - org.apache.geode.modules.session.catalina.callback.SessionExpirationCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<java.lang.String,javax.servlet.http.HttpSession>, Declarable

      public class SessionExpirationCacheListener
      extends CacheListenerAdapter<java.lang.String,javax.servlet.http.HttpSession>
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionExpirationCacheListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterDestroy(EntryEvent<java.lang.String,javax.servlet.http.HttpSession> event)` Handles the event of an entry being destroyed.
    `boolean` | `equals(java.lang.Object obj)`
    `void` | `init(java.util.Properties p)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterCreate, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate, close`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### SessionExpirationCacheListener

          public SessionExpirationCacheListener()

  - ### Method Detail

    - #### afterDestroy

          public void afterDestroy(EntryEvent<java.lang.String,javax.servlet.http.HttpSession> event)

      Description copied from interface: `CacheListener`
      Handles the event of an entry being destroyed.
      Specified by:
        `afterDestroy` in interface `CacheListener<java.lang.String,javax.servlet.http.HttpSession>`
      Overrides:
        `afterDestroy` in class `CacheListenerAdapter<java.lang.String,javax.servlet.http.HttpSession>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.destroy(Object)`

    - #### init

          public void init(java.util.Properties p)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `p` - Contains the parameters declared in the declarative xml file.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`